Name:             datanommer
Version:          0.1.3
Release:          1%{?dist}
Summary:          A storage consumer for the Fedora Message Bus (fedmsg)

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/datanommer
Source0:          http://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-nose

BuildRequires:    fedmsg >= 0.3.8
Requires:         fedmsg-hub >= 0.3.8

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-sqlalchemy0.7
Requires:         python-sqlalchemy0.7
%else
BuildRequires:    python-sqlalchemy >= 0.7
Requires:         python-sqlalchemy >= 0.7
%endif

# This is required due to a bug in moksha's packaging
# That is fixed in moksha-0.8.8-4
BuildRequires:    python-bunch
Requires:         python-bunch


%description
This is datanommer.  It is comprised of only a `fedmsg
<http://github.com/ralphbean/fedmsg>`_ consumer that stuffs every message
in a sqlalchemy database.

There are also a handful of CLI tools to dump information from the
database.

%prep
%setup -q -n %{name}-%{version}

# Make sure that epel/rhel picks up the correct version of sqlalchemy
%{__awk} 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
%{__mv} setup.py.tmp setup.py


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/fedmsg.d/
%{__cp} example-config.py %{buildroot}/%{_sysconfdir}/fedmsg.d/datanommer.py

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE gpl-3.0.txt
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}*

%config (noreplace) %{_sysconfdir}/fedmsg.d/datanommer.py*

%{_bindir}/datanommer-create-db
%{_bindir}/datanommer-stats
%{_bindir}/datanommer-dump

%changelog
* Thu Aug 30 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Initial package for Fedora
